# IAT transfer sub-object

### Object Parameters

- `foreign_correspondent_bank_info` `array of objects` — Provides additional details around foreign correspondent banks used in the IAT transfer
  - `branch_country_code` `string` — The two-character country code of the foreign correspondent bank
  - `identification_number` `string` — The identification number of the foreign correspondent bank
  - `identification_number_qualifier` `string` — The numbering scheme used in the identification number. Possible values are `01` (National Clearing System Number), `02` (BIC Code), or `03` (IBAN)
  - `name` `string` — The name of the foreign correspondent bank
- `foreign_payment_amount` `number` — The amount for which the transfer was originated by the Foreign ODFI. This will be in `USD`, since Column will receive IATs from a domestic correspondent bank.
- `foreign_trace_number` `string` — Contains the trace number assigned to the transfer in the originating national payments system
- `odfi_branch_country_code` `string` — The two-character country code which identifies the country in which the branch of the bank that originated the transfer is located
- `odfi_identification` `string` — The routing number of the DFI originating the transfer
- `odfi_identification_number_qualifier` `string` — The two digit numbering scheme used in the ODFI identification number. Possible values are `01` (National Clearing System Number), `02` (BIC Code), or `03` (IBAN)
- `odfi_name` `string` — The name of the ODFI
- `originator_city_state_province` `string` — Contains the city, and if applicable the state or province of the originator
- `originator_country_postal_code` `string` — Contains the postal code for the originator street address
- `originator_name` `string` — Contains the name of the originator of the transaction
- `originator_street_address` `string` — Contains the physical street address of the originator
- `payment_related_info` `array of strings` — Additional payment-related information included in the IAT addenda records
- `rdfi_branch_country_code` `string` — The two-character country code which identifies the country in which the branch of the bank that received the transfer is located
- `rdfi_identification` `string` — Contains the bank identification number of the DFI at which the receiver maintains their account
- `rdfi_identification_number_qualifier` `string` — The two digit numbering scheme used in the RDFI identification number. Possible values are `01` (National Clearing System Number), `02` (BIC Code), or `03` (IBAN)
- `rdfi_name` `string` — The name of the RDFI
- `receiver_city_state_province` `string` — Contains the city, and if applicable the state or province of the receiver
- `receiver_country_postal_code` `string` — Contains the postal code for the receiver street address
- `receiver_identification_number` `string` — This field is used by the originator to insert its own number for tracing purposes
- `receiver_street_address` `string` — Contains the physical street address of the receiver
- `receiving_company_or_individual_name` `string` — Contains the name of the receiver of the transaction
- `transaction_type_code` `string` — A code identifying the reason for payment. Possible values: `ANN`, `BUS`, `DEP`, `LOA`, `MIS`, `MOR`, `PEN`, `REM`, `RLS`, `SAL`, `TAX`

**Response 200**

```json
{
  "foreign_correspondent_bank_info": [
    {
      "branch_country_code": "branch_country_code",
      "identification_number": "identification_number",
      "identification_number_qualifier": "identification_number_qualifier",
      "name": "name"
    }
  ],
  "foreign_payment_amount": "11500",
  "foreign_trace_number": "",
  "odfi_branch_country_code": "IE",
  "odfi_identification": "02800008",
  "odfi_identification_number_qualifier": "01",
  "odfi_name": "CITIBANK EUROPE PLC",
  "originator_city_state_province": "LONDON*GB\\",
  "originator_country_postal_code": "REDACTED",
  "originator_name": "REDACTED",
  "originator_street_address": "REDACTED",
  "rdfi_branch_country_code": "US",
  "rdfi_identification": "REDACTED",
  "rdfi_identification_number_qualifier": "01",
  "rdfi_name": "COLUMN N.A.",
  "receiver_city_state_province": "x\\",
  "receiver_country_postal_code": "US*74110\\",
  "receiver_identification_number": "REDACTED",
  "receiver_street_address": "REDACTED",
  "receiving_company_or_individual_name": "REDACTED"
}
```
